// <auto-generated />

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ArtOfTest.WebAii.Controls.HtmlControls;
using ArtOfTest.WebAii.Controls.HtmlControls.HtmlAsserts;
using ArtOfTest.WebAii.Core;
using ArtOfTest.WebAii.ObjectModel;
using ArtOfTest.WebAii.TestAttributes;
using ArtOfTest.WebAii.TestTemplates;
using ArtOfTest.WebAii.Win32.Dialogs;
using ArtOfTest.WebAii.Silverlight;
using ArtOfTest.WebAii.Silverlight.UI;
using NUnit.Framework;
using Core = NUnit.Core;
using Telerik.WebAii.Controls.Html;
using Telerik.WebAii.Controls.Xaml;

namespace Amd.Ca.UITest
{
    /// <summary>
    /// Summary description for EquipmentPartConversionTestUnitTest
    /// </summary>
    [TestFixture]
    public class EquipmentPartConversionTestUnitTest : BaseTest
    {

        #region [Setup / TearDown]

        /// <summary>
        /// Initialization for each test.
        /// </summary>
        [SetUp]
        public void MyTestInitialize()
        {
            #region WebAii Initialization

            // Initializes WebAii manager to be used by the test case.
            // If a WebAii configuration section exists, settings will be
            // loaded from it. Otherwise, will create a default settings
            // object with system defaults.
            //
            // Note: We are passing in a delegate to the NUnit's TestContext.Out.
            // WriteLine() method. This way any logging
            // done from WebAii (i.e. Manager.Log.WriteLine()) is
            // automatically logged to same output as NUnit.
            //
            // If you do not care about unifying the log, then you can simply
            // initialize the test by calling Initialize() with no parameters;
            // that will cause the log location to be picked up from the config
            // file if it exists or will use the default system settings.
            // You can also use Initialize(LogLocation) to set a specific log
            // location for this test.

            // Pass in 'true' to recycle the browser between test methods
            Initialize(false, new TestContextWriteLine(Core.TestContext.Out.WriteLine));

            // If you need to override any other settings coming from the
            // config section or you don't have a config section, you can
            // comment the 'Initialize' line above and instead use the
            // following:

            /*

            // This will get a new Settings object. If a configuration
            // section exists, then settings from that section will be
            // loaded

            Settings settings = GetSettings();

            // Override the settings you want. For example:
            settings.DefaultBrowser = BrowserType.FireFox;

            // Now call Initialize again with your updated settings object
            Initialize(settings, new TestContextWriteLine(Core.TestContext.Out.WriteLine));

            */

            #endregion

            //
            // Place any additional initialization here
            //
        }

        /// <summary>
        /// Clean up after each test.
        /// </summary>
        [TearDown]
        public void MyTestCleanUp()
        {
            //
            // Place any additional cleanup here
            //

            #region WebAii CleanUp

            // Shuts down WebAii manager and closes all browsers currently running
            this.CleanUp();

            #endregion
        }

        /// <summary>
        /// Called after all tests in this class are executed.
        /// </summary>
        [TestFixtureTearDown]
        public void FixtureCleanup()
        {
            // This will shut down all browsers if
            // recycleBrowser is turned on. Else
            // will do nothing.
            ShutDown();
        }

        #endregion

        private Pages _pages;

        public Pages Pages
        {
            get
            {
                if (_pages == null)
                {
                    _pages = new Pages(Manager.Current);
                }
                return _pages;
            }
        }

        [Test]
        public void SampleWebAiiTest()
        {
            // Launch a browser instance
            Manager.LaunchNewBrowser(BrowserType.InternetExplorer);

            // The active browser
            ActiveBrowser.NavigateTo("http://www.google.com");

            // Find the google search box and set it to "ArtOfTest";
            Find.ByName<HtmlInputText>("q").Text = "ArtOfTest";

            // Click the Search button
            Find.ByName<HtmlInputSubmit>("btnG").Click();

            // Validate the search contain the 'ArtOfTest' text
            Assert.IsTrue(ActiveBrowser.ContainsText("ArtOfTest"));
        }

        [Test()]
        public void EquipmentPartConversionTest()
        {
            Manager.Settings.UnexpectedDialogAction = UnexpectedDialogAction.DoNotHandle;

            // Launch an instance of the browser
            Manager.LaunchNewBrowser();
            DownloadDialogsHandler downloadDialog = new DownloadDialogsHandler(ActiveBrowser, DialogButton.SAVE, "D:\\CA_WEB_UI_TEST\\Amd.Ca.UITest\\Download\\ConversionTest.xls", Manager.Desktop);

            // Navigate to : 'http://ssgpcaprd1/CaWeb/'
            ActiveBrowser.NavigateTo("http://ssgpcaprd1/CaWeb/");

            // Click 'EquipmentLink'
            Pages.CapacityAnalyzer_26.EquipmentLink.Click(false);

            // Click 'DownloadLink'
            ActiveBrowser.Window.SetFocus();
            Pages.CapacityAnalyzer_27.DownloadLink.ScrollToVisible(ArtOfTest.WebAii.Core.ScrollToVisibleType.ElementTopAtWindowTop);
            Pages.CapacityAnalyzer_27.DownloadLink.MouseClick();
            //downloadDialog.WaitUntilHandled(300000);
            
            // Wait for 'TextContent' 'Contains' 'Download Equipment Conversions:' on 'CpMainTabsPanel2Label1Span'
            HtmlSpan CpMainTabsPanel2Label1Span = Pages.CapacityAnalyzer_27.CpMainTabsPanel2Label1Span;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Download Equipment Conversions:"), CpMainTabsPanel2Label1Span, 10000);


            // Wait for 'TextContent' 'Contains' 'Equipment/Part Name' on 'EquipmentPartTableHeader'
            HtmlTableCell EquipmentPartTableHeader = Pages.CapacityAnalyzer_27.EquipmentPartTableHeader;
            Wait.For<HtmlTableCell>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Equipment/Part Name"), EquipmentPartTableHeader, 10000);


            // Wait for 'TextContent' 'Contains' 'Uploaded Date' on 'UploadedDateTableHeader'
            HtmlTableCell UploadedDateTableHeader = Pages.CapacityAnalyzer_27.UploadedDateTableHeader;
            Wait.For<HtmlTableCell>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Uploaded Date"), UploadedDateTableHeader, 10000);


            // Wait for 'TextContent' 'Contains' 'Equipment / Part Conversion' on 'EquipmentSpan'
            HtmlSpan EquipmentSpan = Pages.CapacityAnalyzer_27.EquipmentSpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Equipment / Part Conversion"), EquipmentSpan, 10000);



        }


    }
}
