// <auto-generated /> 

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using ArtOfTest.WebAii.Controls.HtmlControls;
using ArtOfTest.WebAii.Controls.HtmlControls.HtmlAsserts;
using ArtOfTest.WebAii.Core;
using ArtOfTest.WebAii.ObjectModel;
using ArtOfTest.WebAii.TestAttributes;
using ArtOfTest.WebAii.TestTemplates;
using ArtOfTest.WebAii.Win32.Dialogs;

using ArtOfTest.WebAii.Silverlight;
using ArtOfTest.WebAii.Silverlight.UI;

using NUnit.Framework;
using Core = NUnit.Core;
using Telerik.WebAii.Controls.Html;
using Telerik.WebAii.Controls.Xaml;

namespace Amd.Ca.UITest
{
    /// <summary>
    /// Summary description for WebUITestForAllLinksUnitTest
    /// </summary>
    [TestFixture]
    public class WebUITestForAllLinksUnitTest : BaseTest
    {

        #region [Setup / TearDown]

        /// <summary>
        /// Initialization for each test.
        /// </summary>
        [SetUp]
        public void MyTestInitialize()
        {
            #region WebAii Initialization

            // Initializes WebAii manager to be used by the test case.
            // If a WebAii configuration section exists, settings will be
            // loaded from it. Otherwise, will create a default settings
            // object with system defaults.
            //
            // Note: We are passing in a delegate to the NUnit's TestContext.Out.
            // WriteLine() method. This way any logging
            // done from WebAii (i.e. Manager.Log.WriteLine()) is
            // automatically logged to same output as NUnit.
            //
            // If you do not care about unifying the log, then you can simply
            // initialize the test by calling Initialize() with no parameters;
            // that will cause the log location to be picked up from the config
            // file if it exists or will use the default system settings.
            // You can also use Initialize(LogLocation) to set a specific log
            // location for this test.

            // Pass in 'true' to recycle the browser between test methods
            Initialize(false, new TestContextWriteLine(Core.TestContext.Out.WriteLine));

            // If you need to override any other settings coming from the
            // config section or you don't have a config section, you can
            // comment the 'Initialize' line above and instead use the
            // following:

            /*

            // This will get a new Settings object. If a configuration
            // section exists, then settings from that section will be
            // loaded

            Settings settings = GetSettings();

            // Override the settings you want. For example:
            settings.DefaultBrowser = BrowserType.FireFox;

            // Now call Initialize again with your updated settings object
            Initialize(settings, new TestContextWriteLine(Core.TestContext.Out.WriteLine));

            */

            #endregion

            //
            // Place any additional initialization here
            //
        }

        /// <summary>
        /// Clean up after each test.
        /// </summary>
        [TearDown]
        public void MyTestCleanUp()
        {
            //
            // Place any additional cleanup here
            //

            #region WebAii CleanUp

            // Shuts down WebAii manager and closes all browsers currently running
            this.CleanUp();

            #endregion
        }

        /// <summary>
        /// Called after all tests in this class are executed.
        /// </summary>
        [TestFixtureTearDown]
        public void FixtureCleanup()
        {
            // This will shut down all browsers if
            // recycleBrowser is turned on. Else
            // will do nothing.
            ShutDown();
        }

        #endregion

        private Pages _pages;

        public Pages Pages
        {
            get
            {
                if (_pages == null)
                {
                    _pages = new Pages(Manager.Current);
                }
                return _pages;
            }
        }

        [Test()]
        public void WebUITestForAllLinks()
        {
            // Launch an instance of the browser
            Manager.LaunchNewBrowser();


            // Navigate to : 'http://localhost:2436/'
            //ActiveBrowser.NavigateTo("http://ssgpcadev1/ca/");
            ActiveBrowser.NavigateTo("http://localhost:2436/");


            // Wait for 'TextContent' 'Contains' 'Home' on 'HyperLink1Link'
            HtmlAnchor HyperLink1Link = Pages.CapacityAnalyzer.HyperLink1Link;
            Wait.For<HtmlAnchor>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Home"), HyperLink1Link, 50000);


            // Wait for 'TextContent' 'Contains' 'Log' on 'HyperLink2Link'
            HtmlAnchor HyperLink2Link = Pages.CapacityAnalyzer.HyperLink2Link;
            Wait.For<HtmlAnchor>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Log"), HyperLink2Link, 50000);


            // Click 'HyperLink2Link'
            Pages.CapacityAnalyzer_1.HyperLink2Link.Click(false);


            // Wait for 'TextContent' 'Contains' 'Directory Listing -- /Logs/' on 'DirectoryITag'
            HtmlControl DirectoryITag = Pages.DirectoryListingLogs.DirectoryITag;
            Wait.For<HtmlControl>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Directory Listing -- /Logs/"), DirectoryITag, 50000);


            // Navigate Back
            ActiveBrowser.GoBack();


            // Verify 'TextContent' 'Contains' 'Home' on 'HomeSpan'
            Pages.CapacityAnalyzer_1.HomeSpan.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Home");


            // Verify 'TextContent' 'Contains' 'Designed By FST IT' on 'DesignedByH3Tag'
            Pages.CapacityAnalyzer_1.DesignedByH3Tag.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Designed By FST IT");


            // Click 'ManageLink'
            Pages.CapacityAnalyzer_1.ManageLink.Click(false);


            // Click 'VolumeLink'
            Pages.CapacityAnalyzer.VolumeLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Volume' on 'VolumeSpan'
            HtmlSpan VolumeSpan = Pages.CapacityAnalyzer_2.VolumeSpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Volume"), VolumeSpan, 50000);


            // Click 'PDEAssumptionsLink'
            Pages.CapacityAnalyzer_3.PDEAssumptionsLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'PDE Assumptions' on 'PDEAssumptionsSpan'
            HtmlSpan PDEAssumptionsSpan = Pages.CapacityAnalyzer_3.PDEAssumptionsSpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "PDE Assumptions"), PDEAssumptionsSpan, 50000);


            // Click 'PlantLink'
            Pages.CapacityAnalyzer_3.PlantLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Plant Assumptions' on 'PlantSpan'
            HtmlSpan PlantSpan = Pages.CapacityAnalyzer_4.PlantSpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Plant Assumptions"), PlantSpan, 50000);


            // Click 'ManMachineLink'
            Pages.CapacityAnalyzer_4.ManMachineLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Man Machine Rate' on 'ManMachineSpan'
            HtmlSpan ManMachineSpan = Pages.CapacityAnalyzer_5.ManMachineSpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Man Machine Rate"), ManMachineSpan, 50000);


            // Click 'EquipmentLink'
            Pages.CapacityAnalyzer_5.EquipmentLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Equipment / Parts(Mass Upload)' on 'EquipmentSpan'
            HtmlSpan EquipmentSpan = Pages.CapacityAnalyzer_6.EquipmentSpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Equipment / Parts(Mass Upload)"), EquipmentSpan, 50000);


            // Click 'EquipmentLink'
            Pages.CapacityAnalyzer.EquipmentLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Equipment / Parts' on 'EquipmentSpan'
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Equipment / Parts"), EquipmentSpan, 50000);


            // Click 'EquipmentLink'
            Pages.CapacityAnalyzer_7.EquipmentLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Equipment R&M' on 'EquipmentSpan'
            //Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Equipment R&M"), EquipmentSpan, 50000);


            // Click 'EquipmentLink'
            Pages.CapacityAnalyzer_8.EquipmentLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Equipment & Part Inventory' on 'EquipmentSpan'
            //Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Equipment & Part Inventory"), EquipmentSpan, 50000);


            // Click 'ProductRoadLink'
            Pages.CapacityAnalyzer_9.ProductRoadLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Product Road Map' on 'ProductRoadSpan'
            HtmlSpan ProductRoadSpan = Pages.CapacityAnalyzer_10.ProductRoadSpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Product Road Map"), ProductRoadSpan, 50000);


            // Click 'WorkFlowLink'
            Pages.CapacityAnalyzer_10.WorkFlowLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Work Flow' on 'WorkFlowSpan'
            HtmlSpan WorkFlowSpan = Pages.CapacityAnalyzer_11.WorkFlowSpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Work Flow"), WorkFlowSpan, 50000);


            // Click 'ProcessRouteLink'
            Pages.CapacityAnalyzer_11.ProcessRouteLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Process Route' on 'ProcessRouteSpan'
            HtmlSpan ProcessRouteSpan = Pages.CapacityAnalyzer_12.ProcessRouteSpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Process Route"), ProcessRouteSpan, 50000);


            // Click 'FacilityLink'
            Pages.CapacityAnalyzer_12.FacilityLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Facility' on 'FacilitySpan'
            HtmlSpan FacilitySpan = Pages.CapacityAnalyzer_13.FacilitySpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Facility"), FacilitySpan, 50000);


            // Click 'AssumptionLink'
            Pages.CapacityAnalyzer_13.AssumptionLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Assumption' on 'AssumptionSpan'
            HtmlSpan AssumptionSpan = Pages.CapacityAnalyzer_14.AssumptionSpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Assumption"), AssumptionSpan, 50000);


            // Click 'MarketSegmentLink'
            Pages.CapacityAnalyzer_14.MarketSegmentLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Market Segment' on 'MarketSegmentSpan'
            HtmlSpan MarketSegmentSpan = Pages.CapacityAnalyzer_15.MarketSegmentSpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Market Segment"), MarketSegmentSpan, 50000);


            // Click 'OwnerTypeLink'
            Pages.CapacityAnalyzer_15.OwnerTypeLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Owner Type' on 'OwnerTypeSpan'
            HtmlSpan OwnerTypeSpan = Pages.CapacityAnalyzer_16.OwnerTypeSpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Owner Type"), OwnerTypeSpan, 50000);


            // Click 'CreateUpdateLink'
            Pages.CapacityAnalyzer_16.CreateUpdateLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Create/Update' on 'CreateUpdateSpan'
            HtmlSpan CreateUpdateSpan = Pages.CapacityAnalyzer_0.CreateUpdateSpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Create/Update"), CreateUpdateSpan, 50000);


            // Click 'CopyPlantLink'
            Pages.CapacityAnalyzer_0.CopyPlantLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Copy Plant Split Data' on 'CopyPlantSpan'
            HtmlSpan CopyPlantSpan = Pages.CapacityAnalyzer_17.CopyPlantSpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Copy Plant Split Data"), CopyPlantSpan, 50000);


            // Click 'WeeklyLink'
            Pages.CapacityAnalyzer_17.WeeklyLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Weekly Capacity Model' on 'WeeklySpan'
            HtmlSpan WeeklySpan = Pages.CapacityAnalyzer_18.WeeklySpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Weekly Capacity Model"), WeeklySpan, 50000);


            // Click 'PlantSplitLink'
            Pages.CapacityAnalyzer_18.PlantSplitLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Plant Split Optimization' on 'PlantSplitSpan'
            HtmlSpan PlantSplitSpan = Pages.CapacityAnalyzer_19.PlantSplitSpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Plant Split Optimization"), PlantSplitSpan, 50000);


            // Click 'UnitCostLink'
            Pages.CapacityAnalyzer_20.UnitCostLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Unit Cost Calculation' on 'UnitCostSpan'
            HtmlSpan UnitCostSpan = Pages.CapacityAnalyzer_20.UnitCostSpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Unit Cost Calculation"), UnitCostSpan, 50000);


            // Click 'CreateUpdateLink'
            Pages.CapacityAnalyzer_20.CreateUpdateLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Create/Update Ramp Plan' on 'CreateUpdateSpan'
            //Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Create/Update Ramp Plan"), CreateUpdateSpan, 50000);


            // Click 'ExecuteRampLink'
            Pages.CapacityAnalyzer_21.ExecuteRampLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Execute Ramp Optimization' on 'ExecuteRampSpan'
            HtmlSpan ExecuteRampSpan = Pages.CapacityAnalyzer_22.ExecuteRampSpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Execute Ramp Optimization"), ExecuteRampSpan, 50000);


            // Click 'ArchiveLink'
            Pages.CapacityAnalyzer_22.ArchiveLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Archive Management' on 'ArchiveSpan'
            HtmlSpan ArchiveSpan = Pages.CapacityAnalyzer_23.ArchiveSpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Archive Management"), ArchiveSpan, 50000);


            // Click 'EquipmentLink'
            Pages.CapacityAnalyzer_23.EquipmentLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'Equipment / Part Conversion' on 'EquipmentSpan'
            //Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "Equipment / Part Conversion"), EquipmentSpan, 50000);


            // Click 'ViewReportsLink'
            Pages.CapacityAnalyzer_24.ViewReportsLink.Click(false);


            // Wait for 'TextContent' 'Contains' 'View Reports' on 'ViewReportsSpan'
            HtmlSpan ViewReportsSpan = Pages.CapacityAnalyzer_25.ViewReportsSpan;
            Wait.For<HtmlSpan>(c => c.AssertContent().TextContent(ArtOfTest.Common.StringCompareType.Contains, "View Reports"), ViewReportsSpan, 50000);



        }


    }
}
